// $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/test/obs_ctrl/sharknir.ice 301 2017-11-21 10:33:13Z depa $

module sharknir {
       /**
        * Assembly for non science devices
        **/
       struct NonSciAssembly{
       	      string name;
       	      int posApodizer;
	            int posCoroSlit;
	            int posLyotGrism;
	            int posWollaston;
	            bool rotator;
       };

       /**
        * Assembly for scientific wheels. 
        **/
       struct SciAssembly{
       	      int posSci1;
	            int posSci2;
       };
       
       dictionary<short, NonSciAssembly> dictNonSciAssembly;
       dictionary<string, int> dictSetup;
       /**
	     * This will be used when such dictionary will be defined by the 
	     **/

       dictionary<short, NonSciAssembly> dictSciAssembly;
};
